View Issue Details

IDProjectCategoryView StatusLast Update
00277592.x IDE BugsDebuggerPublic2018-06-12 14:33
ReporterSam CummingAssigned ToAlan Savage 
PriorityLowSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Product Version 
Target VersionFixed in Version 
Summary0027759: Debugger: Debugger doesn't connect, project stuck pre-splash, on certain Android devices
DescriptionIf you run in debug the attached project on the following devices, you'll get different results, with newer versions of android failing to run the game in debugger.

Sony XPERIA E5 (F3311, Android 6.0): Builds, debugger fails to connect, stuck pre-splash on black screen.

Samsung Galaxy Tab S (SM-T800, Android 6.0.1): Builds, debugger fails to connect, stuck pre-splash on black screen.

Samsung Edge (Android 7): Works fine, debugger connects, game progresses past splash screen.

Amazon Fire HD8 (5th Gen, Android 5.0): Works fine, debugger connects, game progresses past splash screen.

Nexus 7 (ME370T, Android 5.1.1): Works fine, debugger connects, game progresses past splash screen.

Samsung Galaxy Nexus (Android 4.2): Works fine debugger connects, game progresses past splash screen.
Steps To Reproduce1. Attach an Android 5.0 device (FireOS is good for this).
2. Debug the attached project.
3. Observe success.

4. Attach an Android 6 device.
5. Debug the attached project.
6. Observe that the game builds, but the debugger fails to connect and it is stuck pre-splash.
Additional InformationAt the moment I believe this may be an issue with OS versions. Amazon FireOS uses Android 5.0 in its latest release, so it may be an issue with 6. Dan mentioned that this could have been a transition period between ADB versions in Android.

Testing on Android 7 is fine too, so it appears Android 6 is the issue.
Tags211
2.x IDE Found In2.1.0.215
2.x Runtime Found In2.1.0.138
2.x IDE Verified In2.1.1.232
2.x Runtime Verified In2.1.1.152

Activities

Sam Cumming

2017-09-11 12:10

Developer  

gm2_debugger.yyz (30,598 bytes)

Alan Savage

2017-09-13 16:14

Developer   ~0055479

runner (igor) fix
-fixes for Samsung Galaxy Tab at least - may want to check the others in case its a different problem

Sam Cumming

2017-09-27 11:30

Developer   ~0055749

Verified > 2.1.1.232 / rt 2.1.1.152 - Closing.